> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove specific unsold key

> Remove a specific unsold key from an offer by its ID.
    
    Only unsold keys can be removed. Sold keys cannot be deleted.



## OpenAPI

````yaml /api-reference/api-docs.yaml delete /v0/offers/{offerId}/keys/{keyId}/removeUnsold
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/offers/{offerId}/keys/{keyId}/removeUnsold:
    delete:
      tags:
        - offers
        - keys
      summary: Remove specific unsold key
      description: |-
        Remove a specific unsold key from an offer by its ID.
            
            Only unsold keys can be removed. Sold keys cannot be deleted.
      operationId: DeleteV0OffersOfferIdKeysKeyIdRemoveUnsold
      parameters:
        - name: offerId
          in: path
          required: true
          description: DELETE /v0/offers/:offerId/keys/:keyId/removeUnsold Parameter
          schema:
            $ref: >-
              #/components/schemas/DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldParameterOfferId
        - name: keyId
          in: path
          required: true
          description: DELETE /v0/offers/:offerId/keys/:keyId/removeUnsold Parameter
          schema:
            $ref: >-
              #/components/schemas/DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldParameterKeyId
      responses:
        '200':
          description: >-
            DELETE /v0/offers/:offerId/keys/:keyId/removeUnsold Positive
            response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldPositiveResponse
        '400':
          description: >-
            DELETE /v0/offers/:offerId/keys/:keyId/removeUnsold Negative
            response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldParameterOfferId:
      type: string
      format: uuid
    DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldParameterKeyId:
      type: string
      format: uuid
    DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            success:
              type: boolean
          required:
            - success
      required:
        - status
        - data
    DeleteV0OffersOfferIdKeysKeyIdRemoveUnsoldNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key
    APIKEY_2:
      type: apiKey
      in: header
      name: x-fngs-secret-key

````